Summary: 	The client and server for the Trivial File Transfer Protocol (TFTP)
Name: 		tftp
Version: 	5.2
Release: 	%mkrel 9
License: 	BSD
Group: 		System/Servers
URL:		http://www.kernel.org/pub/software/network/tftp/
Source0: 	http://www.kernel.org/pub/software/network/tftp/tftp-hpa/tftp-hpa-%{version}.tar.bz2
Source1: 	tftp-xinetd
Source2:	tftp.socket
Source3:	tftp.service
Patch0: 	tftp-mips.patch
Patch1: 	tftp-0.40-remap.patch
Patch2: 	tftp-hpa-0.39-tzfix.patch
Patch3: 	tftp-0.42-tftpboot.patch
Patch4: 	tftp-0.49-chk_retcodes.patch
Patch5: 	tftp-hpa-0.49-fortify-strcpy-crash.patch
Patch6: 	tftp-0.49-cmd_arg.patch
Patch7: 	tftp-hpa-0.49-stats.patch
Patch8:		tftp-hpa-5.2-pktinfo.patch
Patch9:		tftp-doc.patch
Patch10:	tftp-enhanced-logging.patch

BuildRequires:	tcp_wrappers-devel readline-devel
# For systemd macros
BuildRequires:	systemd-devel


%description
The Trivial File Transfer Protocol (TFTP) is normally used only for booting
diskless workstations. The tftp package provides the user interface for TFTP,
which allows users to transfer files to and from a remote machine. This
program, and TFTP, provide very little security, and should not be enabled
unless it is expressly needed.

%package	server
Summary:	The server for the Trivial File Transfer Protocol (TFTP)
Group:		System/Servers
%{?systemd_requires}

%description	server
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. The tftp-server package provides the
server for TFTP, which allows users to transfer files to and from a
remote machine. TFTP provides very little security, and should not be
enabled unless it is expressly needed. The TFTP server is run by using
systemd socket activation, and is disabled by default.

%prep
%autosetup -p1 -n tftp-hpa-%{version}
autoreconf -fsv -I.

%build
%serverbuild
%configure2_5x
%make_build MCONFIG all

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man{1,8}
mkdir -p %{buildroot}%{_sbindir}

make INSTALLROOT=%{buildroot} MANDIR=%{_mandir} install
install -m755 -d %{buildroot}%{_sharedstatedir}/tftpboot/
install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/xinetd.d/tftp
install -p -m644 %{SOURCE2} -D %{buildroot}%{_unitdir}/tftp.socket
install -p -m644 %{SOURCE3} -D %{buildroot}%{_unitdir}/tftp.service

%files
%{_bindir}/tftp
%{_mandir}/man1/*

%files server
%doc README README.security CHANGES
%dir %{_sharedstatedir}/tftpboot
%config(noreplace) %{_sysconfdir}/xinetd.d/tftp
%{_sbindir}/in.tftpd
%{_mandir}/man8/*
%{_unitdir}/*

%post server
%systemd_post tftp.socket

%preun server
%systemd_preun tftp.socket

%postun server
%systemd_postun_with_restart tftp.socket


%changelog
* Fri Dec 23 2016 ngompa <ngompa> 5.2-9.mga6
+ Revision: 1076596
- Move scriptlets to server subpackage

* Fri Dec 23 2016 ngompa <ngompa> 5.2-8.mga6
+ Revision: 1076592
- Patch sync from Fedora (proyvind)
- Switch to systemd socket activation (proyvind)
- Modernize spec

* Mon Feb 01 2016 umeabot <umeabot> 5.2-7.mga6
+ Revision: 929845
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.2-6.mga5
+ Revision: 740640
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.2-5.mga5
+ Revision: 689857
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.2-4.mga4
+ Revision: 519630
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 5.2-3.mga3
+ Revision: 384501
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 28 2011 dmorgan <dmorgan> 5.2-2.mga2
+ Revision: 188470
- Remove call to systemd as there is no services

* Mon Dec 19 2011 zezinho <zezinho> 5.2-1.mga2
+ Revision: 184408
- new version

* Mon Oct 17 2011 zezinho <zezinho> 5.1-1.mga2
+ Revision: 155820
- upgrade to latest upstream and add fedora patches to fix #1816

* Sat May 21 2011 ahmad <ahmad> 5.0-6.mga1
+ Revision: 100001
- Replace a reference to Mandriva with Mageia

* Fri Jan 21 2011 pterjan <pterjan> 5.0-5.mga1
+ Revision: 27916
- imported package tftp

